Serverumgebung

Mit der pd-admin Serverumgebung bieten wir Webhosting-Anbietern ein frei verfügbares, fertig konfiguriertes Komplettpaket zum sicheren Betrieb eines Webservers. Sie lässt sich auf allen gängigen Linuxdistributionen installieren.

Die Standard-Serverumgebung beinhaltet u.a. die folgenden Komponenten:

  • Webserver: Apache 2.2 / Apache 2.4
  • cgiwrap oder FastCGI für die sichere Ausführung von CGI- und PHP-Skripten
  • Ausführung von PHP auch per PHP-FPM möglich
  • PHP-FPM/cgiwrap: Umstellung auf Userebene
  • Perl Interpreter mit vielen Modulen
  • qmail als MTA und POP3-Server
  • Dovecot als IMAP-Server
  • SpamAssassin und ClamAV für den Spam- und Virenschutz
  • FTP-Server: ProFTPD
  • Datenbank-Server: MySQL 5.x, MySQL 8.0 (beta) und MariaDB 10.2
  • PHP- und Perlinterpreter mit vielen Modulen
  • Unterstützung für Let's Encrypt Zertifikate


Programmversionen in SE 0.342:

Apache2.2.34 / 2.4.41
PHP5.6.40, 7.0.33, 7.1.33, 7.2.24 und 7.3.11
Perl5.10.1
DatenbankReihe 4: MySQL 5.5.62, Reihe 6: MySQL 5.7.26, Reihe 8 (beta): MySQL 8.0.17
Reihe 7: MariaDB 10.2.27
SpamAssassin3.4.1
ClamAV0.101.4
Squirrelmail1.4.22
Roundcubemail1.3.10
PHPMyAdmin4.9.1 [Reihe 4, 6, 7, 8]
Adminer4.7.4 [Reihe 1, 2, 3]
ProFTPd1.3.5
Dovecot2.2.36.4

Für diese Komponten geben wir regelmäßig, üblicherweise mindestens einmal im Monat, Updates raus, die über ein Shell-Skript einfach und effizient eingespielt werden können.

Wir empfehlen Ihnen ausdrücklich die Standard-Serverumgebung regelmäßig zu aktualiseren. Über neue Versionen werden Sie über die Mailingliste news@pd-admin.de unterrichtet. Sie können sich dort einschreiben, in dem Sie eine Email an die Adresse news-subscribe@pd-admin.de senden.